QFocusEvent(3qt)

NAME
QFocusEvent - Event parameters for widget focus events

#include <qevent.h>

Inherits QEvent.

  Public Members
QFocusEvent ( Type type )
bool gotFocus () const
bool lostFocus () const
enum Reason { Mouse, Tab, ActiveWindow, Popup, Shortcut, Other }

  Static Public Members
Reason reason ()
void setReason ( Reason reason )
void resetReason ()

DESCRIPTION
The QFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. This happens due to either a mouse action, the tab key, the window system, a keyboard shortcut or some other application specific issue. The actual reason for a specific event is obtained by reason() in the appropriate event handler.

The event handlers QWidget::focusInEvent() and QWidget::focusOutEvent() receive focus events.

See also QWidget::setFocus() and QWidget::setFocusPolicy().

Examples: qmag/qmag.cpp

  Member Type Documentation

QFocusEvent::Reason

Mouse - the focus change happened because of a mouse action

Tab - the focus change happened because of a Tab press (possibly including shift/control)

ActiveWindow - the window system made this window (in)active

Popup - the application opened/closed a popup that grabbed/released focus

Shortcut - the focus change happened because of a keyboard shortcut

Other - any other reason, usually application-specific

See the focus overview for more about focus.

MEMBER FUNCTION DOCUMENTATION

QFocusEvent::QFocusEvent ( Type type )
Constructs a focus event object.

The type parameter must be either QEvent::FocusIn or QEvent::FocusOut.

bool QFocusEvent::gotFocus () const
Returns TRUE if the widget received the text input focus.

bool QFocusEvent::lostFocus () const
Returns TRUE if the widget lost the text input focus.

QFocusEvent::Reason QFocusEvent::reason() [static]
Returns the reason for this focus event.

See also setReason().

void QFocusEvent::resetReason () [static]
Resets the reason for all future focus events to the value before the last setReason() call.

See also reason() and setReason().

void QFocusEvent::setReason ( Reason reason ) [static]
Sets the reason for all future focus events to reason.

See also reason() and resetReason().

SEE ALSO
http://doc.trolltech.com/qfocusevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qfocusevent.3) and the Qt version (2.3.0).